View Issue Details

IDProjectCategoryView StatusLast Update
0004790Talerwallet (WebExtensions)public2016-11-20 03:26
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.2Fixed in Version0.2 
Summary0004790: withdraw of huge number of coins (like 1000 at a time) hangs the browser
Description... I wasn't even able to uninstall the extension from within the browser, the whole UI was hanging.

We rate-limit retried, but when there are too many coins to be withdrawn at the same time, it gets very laggy.
TagsNo tags attached.

Activities

Florian Dold

2016-11-17 00:12

manager   ~0011502

This problem only occurs if the coins fail to withdraw.

I played around with the fractional base, which of course breaks signatures. Still, it shouldn't become sluggish like this ...

Florian Dold

2016-11-17 01:28

manager   ~0011505

Fixed in 86fb71f. We now put a limit on the concurrent requests to the exchange.

Issue History

Date Modified Username Field Change
2016-11-16 23:59 Florian Dold New Issue
2016-11-16 23:59 Florian Dold Status new => assigned
2016-11-16 23:59 Florian Dold Assigned To => Florian Dold
2016-11-17 00:12 Florian Dold Note Added: 0011502
2016-11-17 01:28 Florian Dold Status assigned => resolved
2016-11-17 01:28 Florian Dold Resolution open => fixed
2016-11-17 01:28 Florian Dold Note Added: 0011505
2016-11-19 01:44 Christian Grothoff Product Version => SVN HEAD
2016-11-19 01:44 Christian Grothoff Fixed in Version => 0.2
2016-11-19 01:44 Christian Grothoff Target Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed